Skip to content

Add contact to suppression list

Request

Security
bearerAuth and apiKeyAuth
Bodyapplication/jsonrequired
idstring
namestring

Display name for the contact

contactValuestring
suppressionListIdstring
expiryTimeinteger, (int64)

Expiry time in epoch milliseconds

expiryIntervalTypestring(IntervalType)

Expiry interval type

createdTimeinteger, (int64)
curl -i -X POST \
  https://developer.sprinklr.com/_mock/apis/sprinklr-v3/suppressionList/contact \
  -H 'Authorization: Bearer <YOUR_Token_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'Key: YOUR_API_KEY_HERE' \
  -d '{
    "id": "string",
    "name": "string",
    "contactValue": "string",
    "suppressionListId": "string",
    "expiryTime": 0,
    "expiryIntervalType": "string",
    "createdTime": 0
  }'

Responses

Success

Bodyapplication/json
idstring
namestring

Display name for the contact

contactValuestring
suppressionListIdstring
expiryTimeinteger, (int64)

Expiry time in epoch milliseconds

expiryIntervalTypestring(IntervalType)

Expiry interval type

createdTimeinteger, (int64)
Response
{ "id": "string", "name": "string", "contactValue": "string", "suppressionListId": "string", "expiryTime": 0, "expiryIntervalType": "string", "createdTime": 0 }